import httpTwo from "../httpTwo.js";

export const getTransListNewData = (item) =>{
    return httpTwo.get(`/bustransfertemperature/list?page=${item.page}&rows=${item.size}&stationId=${item.stationId}&alarmStatus=${item.alarmStatus}`)
}

export const getTransListHistoryData = (item) =>{
    return httpTwo.get(`/bustransfertemperature/historyList?page=${item.page}&rows=${item.size}&stationId=${item.stationId}&beginTime=${item.beginTime}&endTime=${item.endTime}`)
}

export const getTransListAlarmData = (item) =>{
    return httpTwo.get(`/bustransfertemperaturealarm/list?page=${item.page}&rows=${item.size}&stationId=${item.stationId}&alarmType=${item.alarmType}&beginTime=${item.beginTime}&endTime=${item.endTime}`)
}

export const getTransAlarmNumber = () => {
    return httpTwo.get(`/bustransfertemperaturealarm/queryAlarmsList`)
}

export const exportTransTempNewData = (item) =>{
    return httpTwo.get(`/bustransfertemperature/export?stationId=${item.stationId}&alarmStatus=${item.alarmStatus}`,'','',{responseType:'blob'})
}

export const exportTransTempHistoryData = (item) =>{
    return httpTwo.get(`/bustransfertemperature/historyExport?stationId=${item.stationId}&alarmStatus=${item.alarmStatus}`,'','',{responseType:'blob'})
}

export const exportTransTempAlarmData = (item) =>{
    return httpTwo.get(`/bustransfertemperaturealarm/export?stationId=${item.stationId}&alarmStatus=${item.alarmStatus}`,'','',{responseType:'blob'})
}
