import httpTwo from '../httpTwo'
import qs from "qs";
import { encrypt } from '../../utils/jsencrypt.js'

// 获取随机uuid
export const getAuthUUID = params => {
    console.log('params',params)
    const sign = qs.stringify({
        sign: encrypt(params)
    })
    console.log('sign',sign)
    return httpTwo.get(`/auth/getAuthUUID?` + sign)
}
//
// 生成token
export const createToken = params => {
    const sign = qs.stringify({
        sign: encrypt(params)
    })
    const headers = {'Content-Type': 'application/x-www-form-urlencoded'}
    return httpTwo.post(`/auth/createToken`, sign,headers).then(res => res).catch(function (error) {
        console.log(error);
    })
}

// 校验token
export const checkToken = params => {
    return httpTwo.get(`/auth/checkToken?token=` + params)
}
